[![Build Status](https://drone.ymnuktech.ru/api/badges/ymnuk/yt-cli/status.svg)](https://drone.ymnuktech.ru/ymnuk/yt-cli)

# Клиент для управление стэком

Приложение предназначено для управление стэком и выполнением различных операций. По сути это приложение, которое подключается у Nats и в кластере yt вызывает различные функции для управления. Таким образом основным функционалом является установка роутинга для приложений, настройка БД приложения безопасности, установка настроик для "проектов" и "модулей" в стэке.

# Переменные окружения

```
NATS_ADDR
```

Адрес сервера Nats

```
PROJECT
```

Название проекта (system)

```
MODULE
```

Название модуля (default)

# Инструменты и литература

[Конвертер yaml в golang-структуру](https://jsonformatter.org/yaml-to-go)

# Раздел файла конфигурации security

В разделе security должен присутствовать параметры: **uri**, **redirect**, **func**. Данные параметры предназначены для редиректа в приложение после аутонтефикации в SSO.

## uri

**URI** предназначен для вызова функции _callback_ в случае успешной аутентификации пользователя в sso. По этому адресу сервер самостоятельно вызывает ссылку и передает параметры в запросе POST все необходимые данные включая токены для переавторизации.

## redirect

Данный адрес нужен, чтобы вернуть пользователя с интерфейса _SSO_ на страницу приложения.

## func

Данный параметр применяется, если приложение является не совсем индивидуальным, а используется как часть инфраструктуры **YT-Functions**. Данное название функции регистрируется для дальнейшего вызова обратной функции приложения, т.е. для организации обратного служебного канала.