package lib

import (
	"encoding/json"
	"fmt"
)

func ConfigGet(paramName string) (err error) {
	var payload []byte
	if payload, _, err = client.Call("system.settings.getParam", nil, []byte(fmt.Sprintf(`["%s"]`, paramName))); err != nil {
		return err
	} else {
		params := make(map[string]string)
		if err = json.Unmarshal(payload, &params); err != nil {
			panic(err)
		}
		for k, v := range params {
			fmt.Printf(`%s: %s%s`, k, v, "\n")
		}
	}
	return
}
