package lib

import (
	"encoding/json"
	"fmt"
)

func SetToken(domain, gatewayPath string) {
	if domain == "" {
		panic(fmt.Errorf("domain name should be set"))
	}
	paths := map[string][]string{
		domain: {
			gatewayPath,
		},
	}
	var payload []byte
	var err error
	if payload, err = json.Marshal(paths); err != nil {
		panic(nil)
	}
	if _, _, err = client.Call("system.gateway.setVerifyAccess", nil, payload); err != nil {
		panic(err)
	}
}
