package lib

import (
	"encoding/json"
	"fmt"
)

func ConfigList() {
	if payload, _, err := client.Call("system.settings.listParams", nil, nil); err != nil {
		panic(err)
	} else {
		var params []string
		if err = json.Unmarshal(payload, &params); err != nil {
			panic(err)
		}
		if len(params) > 0 {
			for _, param := range params {
				fmt.Println(param)
			}
		} else {
			fmt.Println("Params not found")
		}
	}
}
