package lib

import (
	"encoding/json"
	"fmt"
)

func GatewayFuncSet(domain, method, funcName, gatewayPath string) {
	if domain == "" {
		panic(fmt.Errorf("domain name should be set"))
	}
	if method == "" {
		panic(fmt.Errorf("method name should be set"))
	}
	paths := map[string]map[string]map[string]string{
		domain: {
			method: {
				gatewayPath: funcName,
			},
		},
	}
	// TODO
	var payload []byte
	var err error
	if payload, err = json.Marshal(paths); err != nil {
		panic(nil)
	}
	if _, _, err = client.Call("system.gateway.setRoute", nil, payload); err != nil {
		panic(err)
	}
}
